Bug Hunting Session
Bug 105622 - Highlight more than 64 cells in Calc formula
Summary: Highlight more than 64 cells in Calc formula
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: shubhamgoyal
URL:
Whiteboard: target:6.3.0
Keywords:
: 126594 (view as bug list)
Depends on:
Blocks: Calc-Enhancements Cell-Formula
  Show dependency treegraph
 
Reported: 2017-01-30 19:24 UTC by Thomas Lendo
Modified: 2019-09-17 06:55 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Only the first 32 cells are colored in an arithmetic operation (16.22 KB, image/png)
2017-02-01 09:06 UTC, Thomas Lendo
Details
64 cells are colored with LibO 5.2.5.1 on Linux (Ubuntu) 32-bit (32.99 KB, image/png)
2017-02-02 20:44 UTC, Thomas Lendo
Details
Example spreadsheet with formula in cell B1 (10.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-02-09 09:52 UTC, Thomas Lendo
Details
highlight cells with chart color palett (49.70 KB, image/jpeg)
2019-07-18 14:57 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-01-30 19:24:48 UTC
Description:
Calc only shows a maximum of 32 with color highlighted cells if they are part of an arithmetic operation. Only the first 32 cells are highlighted with 8 different colors.

How can users see which cells are selected when they are not highlighted?

Possible solution: Repeat the coloring of the first 8 cells to more than the first 32 cells.

Inherited from OOo: https://bz.apache.org/ooo/show_bug.cgi?id=100263

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: 

Additional Info:


User-Agent: Mozilla/5.0 (Android 5.0; Mobile; rv:50.0) Gecko/50.0 Firefox/50.0
Comment 1 Julien Nabet 2017-01-31 20:53:05 UTC
On pc Debian x86-64 with LO Debian package 5.2.4, I don't reproduce this.
Indeed, I tested with 33 or 34 cells, all have highlighting.

Could you give a try to last stable LO version 5.2.5?
Comment 2 Thomas Lendo 2017-02-01 09:06:33 UTC
Created attachment 130810 [details]
Only the first 32 cells are colored in an arithmetic operation

@Julien Nabet:
My current used version is 5.1.4.2 (x64), BS-Version: Windows 6.19, UI-Render: Standard. I'm using LibreOffice at work, I will be updated by the admin when 5.3.x is released, then I can test a "fresh" version.

The point of my bug report is not if 32 or 34 cells are colored. The point is that ONLY FEW cells are colored and NOT ALL of an arithmetic operation which would be the logical way to highlight it.
Comment 3 Julien Nabet 2017-02-01 09:24:18 UTC
My previous comment was just to tell that even when using more than 32 cells, all of them (the 33 or 34) were highlighted.
Now I recognize, I haven't got the patience to test with 100 cells.

FYI, 5.1 branch is EOL so even if the bug is confirmed, there won't be any official TDF version for this branch.
5.2.5 has just been released and 5.3.0 would be released soon but it's never a good thing to use first release of a branch in production.

See https://wiki.documentfoundation.org/ReleasePlan#Dates
Comment 4 Thomas Lendo 2017-02-02 20:44:36 UTC
Created attachment 130866 [details]
64 cells are colored with LibO 5.2.5.1 on Linux (Ubuntu) 32-bit

@Julien Nabet:
Thank you, I know the branches and release plans very well. I studied the release notes at the wiki and the list of fixed bugs till 5.3.0.3 and didn't find anything relating to this bug.

I tested it with today's stable version 5.2 and found out that (maybe only on Linux?) 64 cells are colored. Therefore the intention of this bug is still valid.

Version: 5.2.5.1, Build-ID: 1:5.2.5~rc1-0ubuntu1~trusty0
CPU-Threads: 2; BS-Version: Linux 3.13; UI-Render: Standard; VCL: gtk2
Comment 5 Thomas Lendo 2017-02-09 09:52:41 UTC
Created attachment 131032 [details]
Example spreadsheet with formula in cell B1

64 cells (instead of 32 cells in older LibreOffice versions) are highlighted/colored now.

Tested with version 5.3.0.3 on Windows 10.
Comment 6 Thomas Lendo 2017-02-09 09:53:59 UTC
Changed summary text from "32" to "64".
Comment 7 Buovjaga 2017-02-12 15:29:00 UTC
(In reply to Thomas Lendo from comment #5)
> Created attachment 131032 [details]
> Example spreadsheet with formula in cell B1
> 
> 64 cells (instead of 32 cells in older LibreOffice versions) are
> highlighted/colored now.
> 
> Tested with version 5.3.0.3 on Windows 10.

Confirmed by double-clicking the formula.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: ac8197327d3ef4f3c94fb0746393863404df086b
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2016
Comment 8 Thomas Lendo 2017-12-20 12:00:19 UTC
Kumar, as you solved bug 65206 "FORMATTING: Highlighted (colored) cells only limited to 32 cells in formula", can you have a look at this bug?

Was it wanted in bug 65206 that only 64 cells are highlighted (colored)?
Comment 9 Heiko Tietze 2018-01-23 20:14:02 UTC
Is it one for you, Gülşah? Feeding people who just finished another task ;-)
Comment 10 QA Administrators 2019-01-24 03:51:12 UTC Comment hidden (obsolete)
Comment 11 Commit Notification 2019-05-15 07:58:54 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/38ea76edb9b009a5eeeeeff748e7e14b98423828%5E%21

tdf#105622 Highlight 128 cells.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Thomas Lendo 2019-05-15 11:57:05 UTC
(In reply to Commit Notification from comment #11)
> Shubham Goyal committed a patch related to this issue.

Thank you very much for your patch!

Is there a technical limitation or a developer decision why it's wanted to only show 32/64/128 cells highlighted?
Comment 13 Xisco Faulí 2019-06-26 10:40:18 UTC
A polite ping to shubhamgoyal:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 14 andreas_k 2019-07-18 14:57:39 UTC
Created attachment 152862 [details]
highlight cells with chart color palett

I would recommend to use the chart color palett cause this is defined for the same issue. Separate elements from each other.

In the image you see:
left: master build 
center: standard color palett (problem colors are next to each other similar) 
right: chart color palett (background saturation: 10% and brightness: 100 %)

I know the chart color palett didn't has 16, 32, 64, 128, ... different colors. For now there are only 12 colors defined, but that doesn't mean that we can't add there more colors.

When we use an color palett the colors are not hardcoded somewhere, so I think it's an good plan.
Comment 15 Julien Nabet 2019-07-29 12:55:04 UTC
*** Bug 126594 has been marked as a duplicate of this bug. ***
Comment 16 Thomas Lendo QA 2019-09-16 21:03:36 UTC
For comment, which has nothing to do with this bug, I've created Bug 127227 'Calc formula should use a color palette as highlight color'.
Comment 17 shubhamgoyal 2019-09-17 02:15:42 UTC
Hi, the problem with this bug been in the unresolved state till now

1) Currently, the have only 8 colors to color 128 adjacent cells.
2) I was asked to include 16 color to do that.
3) But my choice of color combination were matching.
4) Talked to UI team for color combinations, Andreas proposed the idea to use color pallets(In reply to Thomas Lendo from comment #12)
> (In reply to Commit Notification from comment #11)
> > Shubham Goyal committed a patch related to this issue.
> 
> Thank you very much for your patch!
> 
> Is there a technical limitation or a developer decision why it's wanted to
> only show 32/64/128 cells highlighted?

There is no such limitation that coloring should be in the power of 2.
But Yes, we can not color much of the cells as coloring reqire time to render. It was tested and found that coloring 128 cells would be fine to by-pass the user's notice.
Comment 18 shubhamgoyal 2019-09-17 02:22:05 UTC
(In reply to Thomas Lendo QA from comment #16)
> For comment, which has nothing to do with this bug, I've created Bug 127227
> 'Calc formula should use a color palette as highlight color'.

When we have 128 cells to color, it would be bad to only have 8 colors to color them all. It would be cumbersome and complex. Highlighting will be no use then.

so, closing the bug as RESOLVED and will work on including chart color pallet to color cells :)

Thanks.
Comment 19 Thomas Lendo 2019-09-17 06:55:00 UTC
(In reply to shubhamgoyal from comment #17)
Thank you very much for your clarification and your tests and patch to color 128 cells!

So, it's a performance issue. This is bad but it is as it is. :) Although I regularly need more colored cells.

(In reply to shubhamgoyal from comment #18)
> When we have 128 cells to color, it would be bad to only have 8 colors to
> color them all. It would be cumbersome and complex. Highlighting will be no
> use then.
As the existing colors never were good to distinguish if you have more than a handful elements, it is insignificant if you have 8 different colors or 20 different colors for >30 cells.

I don't see a disadvantage in coloring (for example) 10,000 cells with few 'bad' colors as for so many cells it's not possible to have so many different colors to distinguish them visually. For many cells it's often only needed to have them highlighted with ANY color only to differ them from not-colored cells in a sheet (how the cells are colored is secondary).

> so, closing the bug as RESOLVED and will work on including chart color
> pallet to color cells :)
Feel free to assign yourself to bug 127227 or at least CC yourself and set it to NEW if you think it's worth.